INTERFACE
SUBROUTINE PPOBSN(KDLEN,KLEN,KDCOUNT,CDPAR,KCOUNT,PALTI,POROG,&
 & PRESF5,PTF5,PTSF5,KDPP,PXPP) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KDCOUNT
CHARACTER(LEN=*) ,INTENT(IN) :: CDPAR
INTEGER(KIND=JPIM),INTENT(IN) :: KCOUNT(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PALTI(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSF5(KDLEN)
INTEGER(KIND=JPIM),INTENT(IN) :: KDPP
REAL(KIND=JPRB) ,INTENT(OUT) :: PXPP(KDLEN,KDCOUNT,KDPP)
END SUBROUTINE PPOBSN
END INTERFACE
